// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_user_rating.proto

package order

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// rating stars
type UserRating_Rating int32

const (
	UserRating_NOT_SPECIFIED UserRating_Rating = 0
	UserRating_ONE           UserRating_Rating = 1
	UserRating_TWO           UserRating_Rating = 2
	UserRating_THREE         UserRating_Rating = 3
	UserRating_FOUR          UserRating_Rating = 4
	UserRating_FIVE          UserRating_Rating = 5
)

// Enum value maps for UserRating_Rating.
var (
	UserRating_Rating_name = map[int32]string{
		0: "NOT_SPECIFIED",
		1: "ONE",
		2: "TWO",
		3: "THREE",
		4: "FOUR",
		5: "FIVE",
	}
	UserRating_Rating_value = map[string]int32{
		"NOT_SPECIFIED": 0,
		"ONE":           1,
		"TWO":           2,
		"THREE":         3,
		"FOUR":          4,
		"FIVE":          5,
	}
)

func (x UserRating_Rating) Enum() *UserRating_Rating {
	p := new(UserRating_Rating)
	*p = x
	return p
}

func (x UserRating_Rating) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (UserRating_Rating) Descriptor() protoreflect.EnumDescriptor {
	return file_v1_order_model_user_rating_proto_enumTypes[0].Descriptor()
}

func (UserRating_Rating) Type() protoreflect.EnumType {
	return &file_v1_order_model_user_rating_proto_enumTypes[0]
}

func (x UserRating_Rating) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use UserRating_Rating.Descriptor instead.
func (UserRating_Rating) EnumDescriptor() ([]byte, []int) {
	return file_v1_order_model_user_rating_proto_rawDescGZIP(), []int{0, 0}
}

type UserRating struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Rating UserRating_Rating `protobuf:"varint,1,opt,name=rating,proto3,enum=fcp.order.v1.order.UserRating_Rating" json:"rating,omitempty"`
	// user that is rated
	UserId      string `protobuf:"bytes,2,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	Description string `protobuf:"bytes,9,opt,name=description,proto3" json:"description,omitempty"`
	Audit       *Audit `protobuf:"bytes,10,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *UserRating) Reset() {
	*x = UserRating{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_rating_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UserRating) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserRating) ProtoMessage() {}

func (x *UserRating) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_rating_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserRating.ProtoReflect.Descriptor instead.
func (*UserRating) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_rating_proto_rawDescGZIP(), []int{0}
}

func (x *UserRating) GetRating() UserRating_Rating {
	if x != nil {
		return x.Rating
	}
	return UserRating_NOT_SPECIFIED
}

func (x *UserRating) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *UserRating) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *UserRating) GetAudit() *Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

type UserRatingFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// user that is rated
	UserId      *wrappers.StringValue   `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	Rating      *UserRating_RatingValue `protobuf:"bytes,2,opt,name=rating,proto3" json:"rating,omitempty"`
	Description *wrappers.StringValue   `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	Created     *TimeRange              `protobuf:"bytes,21,opt,name=created,proto3" json:"created,omitempty"`
	Updated     *TimeRange              `protobuf:"bytes,22,opt,name=updated,proto3" json:"updated,omitempty"`
	CreatedBy   *wrappers.StringValue   `protobuf:"bytes,23,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
}

func (x *UserRatingFilter) Reset() {
	*x = UserRatingFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_rating_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UserRatingFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserRatingFilter) ProtoMessage() {}

func (x *UserRatingFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_rating_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserRatingFilter.ProtoReflect.Descriptor instead.
func (*UserRatingFilter) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_rating_proto_rawDescGZIP(), []int{1}
}

func (x *UserRatingFilter) GetUserId() *wrappers.StringValue {
	if x != nil {
		return x.UserId
	}
	return nil
}

func (x *UserRatingFilter) GetRating() *UserRating_RatingValue {
	if x != nil {
		return x.Rating
	}
	return nil
}

func (x *UserRatingFilter) GetDescription() *wrappers.StringValue {
	if x != nil {
		return x.Description
	}
	return nil
}

func (x *UserRatingFilter) GetCreated() *TimeRange {
	if x != nil {
		return x.Created
	}
	return nil
}

func (x *UserRatingFilter) GetUpdated() *TimeRange {
	if x != nil {
		return x.Updated
	}
	return nil
}

func (x *UserRatingFilter) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

type ListUserRatingRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *UserRatingFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// rating
	Sorting    []*Sorting         `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	Pagination *PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListUserRatingRequest) Reset() {
	*x = ListUserRatingRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_rating_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListUserRatingRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListUserRatingRequest) ProtoMessage() {}

func (x *ListUserRatingRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_rating_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListUserRatingRequest.ProtoReflect.Descriptor instead.
func (*ListUserRatingRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_rating_proto_rawDescGZIP(), []int{2}
}

func (x *ListUserRatingRequest) GetFilter() *UserRatingFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListUserRatingRequest) GetSorting() []*Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListUserRatingRequest) GetPagination() *PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListUserRatingResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*UserRating       `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListUserRatingResponse) Reset() {
	*x = ListUserRatingResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_rating_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListUserRatingResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListUserRatingResponse) ProtoMessage() {}

func (x *ListUserRatingResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_rating_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListUserRatingResponse.ProtoReflect.Descriptor instead.
func (*ListUserRatingResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_rating_proto_rawDescGZIP(), []int{3}
}

func (x *ListUserRatingResponse) GetItems() []*UserRating {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListUserRatingResponse) GetPagination() *PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

// Get
type GetUserRatingRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetUserRatingRequest) Reset() {
	*x = GetUserRatingRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_rating_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetUserRatingRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUserRatingRequest) ProtoMessage() {}

func (x *GetUserRatingRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_rating_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUserRatingRequest.ProtoReflect.Descriptor instead.
func (*GetUserRatingRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_rating_proto_rawDescGZIP(), []int{4}
}

func (x *GetUserRatingRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetUserRatingResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *UserRating `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetUserRatingResponse) Reset() {
	*x = GetUserRatingResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_rating_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetUserRatingResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUserRatingResponse) ProtoMessage() {}

func (x *GetUserRatingResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_rating_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUserRatingResponse.ProtoReflect.Descriptor instead.
func (*GetUserRatingResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_rating_proto_rawDescGZIP(), []int{5}
}

func (x *GetUserRatingResponse) GetItem() *UserRating {
	if x != nil {
		return x.Item
	}
	return nil
}

type UserRating_RatingValue struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value UserRating_Rating `protobuf:"varint,1,opt,name=value,proto3,enum=fcp.order.v1.order.UserRating_Rating" json:"value,omitempty"`
}

func (x *UserRating_RatingValue) Reset() {
	*x = UserRating_RatingValue{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_rating_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UserRating_RatingValue) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserRating_RatingValue) ProtoMessage() {}

func (x *UserRating_RatingValue) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_rating_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserRating_RatingValue.ProtoReflect.Descriptor instead.
func (*UserRating_RatingValue) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_rating_proto_rawDescGZIP(), []int{0, 0}
}

func (x *UserRating_RatingValue) GetValue() UserRating_Rating {
	if x != nil {
		return x.Value
	}
	return UserRating_NOT_SPECIFIED
}

var File_v1_order_model_user_rating_proto protoreflect.FileDescriptor

var file_v1_order_model_user_rating_proto_rawDesc = []byte{
	0x0a, 0x20, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x12, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72,
	0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xd7,
	0x02, 0x0a, 0x0a, 0x55, 0x73, 0x65, 0x72, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x3d, 0x0a,
	0x06, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x25, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x2e, 0x52, 0x61,
	0x74, 0x69, 0x6e, 0x67, 0x52, 0x06, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x17, 0x0a, 0x07,
	0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75,
	0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x2f, 0x0a, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74,
	0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x41, 0x75, 0x64, 0x69,
	0x74, 0x52, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x1a, 0x4a, 0x0a, 0x0b, 0x52, 0x61, 0x74, 0x69,
	0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x3b, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x55, 0x73, 0x65, 0x72,
	0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x2e, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x22, 0x4c, 0x0a, 0x06, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x11,
	0x0a, 0x0d, 0x4e, 0x4f, 0x54, 0x5f, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10,
	0x00, 0x12, 0x07, 0x0a, 0x03, 0x4f, 0x4e, 0x45, 0x10, 0x01, 0x12, 0x07, 0x0a, 0x03, 0x54, 0x57,
	0x4f, 0x10, 0x02, 0x12, 0x09, 0x0a, 0x05, 0x54, 0x48, 0x52, 0x45, 0x45, 0x10, 0x03, 0x12, 0x08,
	0x0a, 0x04, 0x46, 0x4f, 0x55, 0x52, 0x10, 0x04, 0x12, 0x08, 0x0a, 0x04, 0x46, 0x49, 0x56, 0x45,
	0x10, 0x05, 0x4a, 0x04, 0x08, 0x03, 0x10, 0x09, 0x22, 0x82, 0x03, 0x0a, 0x10, 0x55, 0x73, 0x65,
	0x72, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x35, 0x0a,
	0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x06, 0x75, 0x73,
	0x65, 0x72, 0x49, 0x64, 0x12, 0x42, 0x0a, 0x06, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x61,
	0x74, 0x69, 0x6e, 0x67, 0x2e, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x52, 0x06, 0x72, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x3e, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x0b, 0x64, 0x65, 0x73,
	0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x37, 0x0a, 0x07, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54,
	0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x07, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x64, 0x12, 0x37, 0x0a, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x16, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67,
	0x65, 0x52, 0x07, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x63, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x4a, 0x04, 0x08, 0x04, 0x10, 0x15, 0x22, 0xd3, 0x01,
	0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x55, 0x73, 0x65, 0x72, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x3c, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x55, 0x73, 0x65,
	0x72, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x35, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67,
	0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x53, 0x6f, 0x72, 0x74,
	0x69, 0x6e, 0x67, 0x52, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x12, 0x45, 0x0a, 0x0a,
	0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x22, 0x96, 0x01, 0x0a, 0x16, 0x4c, 0x69, 0x73, 0x74, 0x55, 0x73, 0x65, 0x72,
	0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x34,
	0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x05, 0x69,
	0x74, 0x65, 0x6d, 0x73, 0x12, 0x46, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x61,
	0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x26, 0x0a, 0x14,
	0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x02, 0x69, 0x64, 0x22, 0x4b, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x52,
	0x61, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x32, 0x0a,
	0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x04, 0x69, 0x74, 0x65,
	0x6d, 0x42, 0x4b, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x2d, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba, 0x02, 0x00, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_model_user_rating_proto_rawDescOnce sync.Once
	file_v1_order_model_user_rating_proto_rawDescData = file_v1_order_model_user_rating_proto_rawDesc
)

func file_v1_order_model_user_rating_proto_rawDescGZIP() []byte {
	file_v1_order_model_user_rating_proto_rawDescOnce.Do(func() {
		file_v1_order_model_user_rating_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_user_rating_proto_rawDescData)
	})
	return file_v1_order_model_user_rating_proto_rawDescData
}

var file_v1_order_model_user_rating_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_v1_order_model_user_rating_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_v1_order_model_user_rating_proto_goTypes = []interface{}{
	(UserRating_Rating)(0),         // 0: fcp.order.v1.order.UserRating.Rating
	(*UserRating)(nil),             // 1: fcp.order.v1.order.UserRating
	(*UserRatingFilter)(nil),       // 2: fcp.order.v1.order.UserRatingFilter
	(*ListUserRatingRequest)(nil),  // 3: fcp.order.v1.order.ListUserRatingRequest
	(*ListUserRatingResponse)(nil), // 4: fcp.order.v1.order.ListUserRatingResponse
	(*GetUserRatingRequest)(nil),   // 5: fcp.order.v1.order.GetUserRatingRequest
	(*GetUserRatingResponse)(nil),  // 6: fcp.order.v1.order.GetUserRatingResponse
	(*UserRating_RatingValue)(nil), // 7: fcp.order.v1.order.UserRating.RatingValue
	(*Audit)(nil),                  // 8: fcp.order.v1.order.Audit
	(*wrappers.StringValue)(nil),   // 9: google.protobuf.StringValue
	(*TimeRange)(nil),              // 10: fcp.order.v1.order.TimeRange
	(*Sorting)(nil),                // 11: fcp.order.v1.order.Sorting
	(*PaginationRequest)(nil),      // 12: fcp.order.v1.order.PaginationRequest
	(*PaginationResponse)(nil),     // 13: fcp.order.v1.order.PaginationResponse
}
var file_v1_order_model_user_rating_proto_depIdxs = []int32{
	0,  // 0: fcp.order.v1.order.UserRating.rating:type_name -> fcp.order.v1.order.UserRating.Rating
	8,  // 1: fcp.order.v1.order.UserRating.audit:type_name -> fcp.order.v1.order.Audit
	9,  // 2: fcp.order.v1.order.UserRatingFilter.user_id:type_name -> google.protobuf.StringValue
	7,  // 3: fcp.order.v1.order.UserRatingFilter.rating:type_name -> fcp.order.v1.order.UserRating.RatingValue
	9,  // 4: fcp.order.v1.order.UserRatingFilter.description:type_name -> google.protobuf.StringValue
	10, // 5: fcp.order.v1.order.UserRatingFilter.created:type_name -> fcp.order.v1.order.TimeRange
	10, // 6: fcp.order.v1.order.UserRatingFilter.updated:type_name -> fcp.order.v1.order.TimeRange
	9,  // 7: fcp.order.v1.order.UserRatingFilter.created_by:type_name -> google.protobuf.StringValue
	2,  // 8: fcp.order.v1.order.ListUserRatingRequest.filter:type_name -> fcp.order.v1.order.UserRatingFilter
	11, // 9: fcp.order.v1.order.ListUserRatingRequest.sorting:type_name -> fcp.order.v1.order.Sorting
	12, // 10: fcp.order.v1.order.ListUserRatingRequest.pagination:type_name -> fcp.order.v1.order.PaginationRequest
	1,  // 11: fcp.order.v1.order.ListUserRatingResponse.items:type_name -> fcp.order.v1.order.UserRating
	13, // 12: fcp.order.v1.order.ListUserRatingResponse.pagination:type_name -> fcp.order.v1.order.PaginationResponse
	1,  // 13: fcp.order.v1.order.GetUserRatingResponse.item:type_name -> fcp.order.v1.order.UserRating
	0,  // 14: fcp.order.v1.order.UserRating.RatingValue.value:type_name -> fcp.order.v1.order.UserRating.Rating
	15, // [15:15] is the sub-list for method output_type
	15, // [15:15] is the sub-list for method input_type
	15, // [15:15] is the sub-list for extension type_name
	15, // [15:15] is the sub-list for extension extendee
	0,  // [0:15] is the sub-list for field type_name
}

func init() { file_v1_order_model_user_rating_proto_init() }
func file_v1_order_model_user_rating_proto_init() {
	if File_v1_order_model_user_rating_proto != nil {
		return
	}
	file_v1_order_common_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_user_rating_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UserRating); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_user_rating_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UserRatingFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_user_rating_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListUserRatingRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_user_rating_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListUserRatingResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_user_rating_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetUserRatingRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_user_rating_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetUserRatingResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_user_rating_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UserRating_RatingValue); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_user_rating_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_user_rating_proto_goTypes,
		DependencyIndexes: file_v1_order_model_user_rating_proto_depIdxs,
		EnumInfos:         file_v1_order_model_user_rating_proto_enumTypes,
		MessageInfos:      file_v1_order_model_user_rating_proto_msgTypes,
	}.Build()
	File_v1_order_model_user_rating_proto = out.File
	file_v1_order_model_user_rating_proto_rawDesc = nil
	file_v1_order_model_user_rating_proto_goTypes = nil
	file_v1_order_model_user_rating_proto_depIdxs = nil
}
